[![Build Status](https://travis-ci.org/academic-moodle-cooperation/moodle-mod_publication.svg?branch=master)](https://travis-ci.org/academic-moodle-cooperation/moodle-mod_publication)

Student Folder Module
=====================

This file is part of the mod_publication plugin for Moodle - <http://moodle.org/>

*Author:*    Hannes Laimer, Philipp Hager, Andreas Windbichler

*Copyright:* 2014 [Academic Moodle Cooperation](http://www.academic-moodle-cooperation.org)

*License:*   [GNU GPL v3 or later](http://www.gnu.org/copyleft/gpl.html)


Description
-----------

With the Student Folder module students can upload documents which can be made visible by teachers.
This facilitates publication of student's documents in a course and improves exchange of knowledge.


Example
-------

The student folder has two features: on the one hand participants can upload their documents in the
student folder which can be made visible for other students immediately after the upload or after
the teacher's approval. On the other hand it is possible to import documents from the activity
assignment. Here teachers can decide which documents should be visible to all participants or name
individual students to release documents.


Requirements
------------

The plugin is available for Moodle 2.7+. This version is for Moodle 3.9.


Installation
------------

* Copy the module code directly to the mod/publication directory.

* Log into Moodle as administrator.

* Open the administration area (http://your-moodle-site/admin) to start the installation
  automatically.


Admin Settings
--------------

An administrator can adjust the default settings for the student folder instance-wide in the
general settings page. There he can specify the following:

* Require activity description
* Obtain approval
* Approved by default
* Maximum number of attachments
* Maximum attachment size
* Hide ID-Number


Documentation
-------------

You can find a cheat sheet for the plugin on the [AMC
website](https://www.academic-moodle-cooperation.org/en/module/studentfolder/) and a video tutorial
in german only in the [AMC YouTube Channel](https://www.youtube.com/c/AMCAcademicMoodleCooperation).


Bug Reports / Support
---------------------

We try our best to deliver bug-free plugins, but we can not test the plugin for every platform,
database, PHP and Moodle version. If you find any bug please report it on
[GitHub](https://github.com/academic-moodle-cooperation/moodle-mod_publication/issues). Please
provide a detailed bug description, including the plugin and Moodle version and, if applicable, a
screenshot.

You may also file a request for enhancement on GitHub. If we consider the request generally useful
and if it can be implemented with reasonable effort we might implement it in a future version.

You may also post general questions on the plugin on GitHub, but note that we do not have the
resources to provide detailed support.


License
-------

This plugin is free software: you can redistribute it and/or modify it under the terms of the GNU
General Public License as published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

The plugin is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License with Moodle. If not, see
<http://www.gnu.org/licenses/>.


Good luck and have fun!
